Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.commons.core.v1
Class PeriodType

    java.lang.Object
      be.fgov.ehealth.commons.core.v1.PeriodType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2020-09-28T09:37:45+02:00",
               comments="JAXB RI v2.2.11")
    public class PeriodType

extends Object
implements Serializable

Closed or open period in time.

Java class for PeriodType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PeriodType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="BeginDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="EndDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`PeriodType()`

Method Summary
`org.joda.time.DateTime` | `getBeginDate()` Gets the value of the beginDate property.
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`void` | `setBeginDate(org.joda.time.DateTime value)` Sets the value of the beginDate property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PeriodType

    public PeriodType()

Method Detail

### getBeginDate

    public org.joda.time.DateTime getBeginDate()

  Gets the value of the beginDate property.

  Returns:
    possible object is `String`

### setBeginDate

    public void setBeginDate(org.joda.time.DateTime value)

  Sets the value of the beginDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.20.2 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.